//= require bootstrap-sprockets

$(function() {
  $('#app-nav .accordion').on('show.bs.collapse', function (e) {
    var actives = $(e.currentTarget).parent().find('li:not(.selected)').has('.in, .collapsing').find('.in, .collapsing');

    console.log(actives.length);

    if (actives && actives.length) {
      var hasData = actives.data('bs.collapse');
      if (hasData && hasData.transitioning) {
        e.preventDefault();
        return false;
      }
      actives.collapse('hide');
      hasData || actives.data('bs.collapse', null);
    }

    var accordion = $(e.target).closest('.accordion');
    accordion.addClass('active');


  });


  $('#app-nav .accordion').on('hidden.bs.collapse', function (e) {
    var accordion = $(e.target).closest('.accordion');
    accordion.removeClass('active');
    accordion.children('a').blur();
  });

  $('#app-nav .accordion > a').on('click', function (e) {
    e.preventDefault();
  });

  $('#app-nav a.selected').on('click', function (e) {
    e.preventDefault();
    return false;
  });

  $('#context .dropdown').on('hidden.bs.dropdown', function (e) {
    $(e.target).children('a').blur();
  });

});